<?php
defined("_MYPHPOBJECT") or die("ACCESS DENIED");
if(!session_id())
    session_start();

require INC_PATH.DS.'Zebra_Database.php';

if (isset($_SERVER['REQUEST_METHOD']) && $_SERVER['REQUEST_METHOD']=='POST')
{
  header('Expires: ' . gmdate("D, d M Y H:i:s", time()+1000) . ' GMT');
  header('Cache-Control: Private');
}

$db=null;

function connection()
{
    global $db;
    $db = new Zebra_Database();

    $db->debug = DEBUG;
    
    $db->connect(DATABASE_SERVER, DATABASE_USERNAME, DATABASE_PASSWORD, DATABASE_NAME);
    $db->set_charset();


    //$db->show_debug_console();

}

/**
 * check after login when index or other internal page load
 */

function adminSessionCheck(){

global $db;

    if(empty($_SESSION['user_id']) or empty($_SESSION['usertype']) or empty($_SESSION['username'])){

        logout();
    }
    else
    {

        // check session time
        $session_life = time() - $_SESSION['last_active'];
        if($session_life > SESSION_TIME){ logout(); }
        
        $db->select(
            '*',
            TBPREFIX.'users',
            'status=1 AND id = ? AND usertype = ? AND username = ?',
            array($_SESSION['user_id'], $_SESSION['usertype'],$_SESSION['username'])
        );

        $records = $db->fetch_obj();
        if(empty($records)){
           logout();
        }

        $_SESSION['last_active']=time();

    }

}

/**
 * check befor login page load
 * @return [type] [description]
 */
function adminLoginSessionCheck(){
    
    if(!empty($_SESSION['user_id']) and !empty($_SESSION['usertype']) and !empty($_SESSION['username'])){

        global $db;

        $db->select(
            '*',
            TBPREFIX.'users',
            'status=1 AND id = ? AND usertype = ? AND username = ?',
            array($_SESSION['user_id'], $_SESSION['usertype'],$_SESSION['username'])
        );

        $records = $db->fetch_obj();

        if(!empty($records)){
            header("location:index.php");
            exit();
        }
        //$db->show_debug_console();
    }
}


function logout(){


$_SESSION['user_id']="";
$_SESSION['usertype']="";
$_SESSION['username']="";


unset($_SESSION['user_id']);
unset($_SESSION['usertype']);
unset($_SESSION['username']);

session_unset();
session_destroy();
session_write_close();
setcookie(session_name(),'',0,'/');
session_regenerate_id(true);
header("Location:login.php");
exit();


}

function mysql_getdate($time=''){
    //0000-00-00 00:00:00
    if(empty($time)){
        $time=time();
    }
    return date('y-m-d H:i:s',$time);
}

function pr($s){
    if(!empty($s)){
        echo '<pre>';
        var_dump($s);
        echo '</pre>';
    }
}
/*
?>

<!DOCTYPE html>

<html>

    <head>

        <meta charset="utf-8">

        <title>Zebra_Database Example</title>

    </head>

    <body>

    <p>
        Prior to running this example you must first download and install the <a href="http://dev.mysql.com/doc/index-other.html">
        <em>world</em></a> test database from MySQL's website.<br>
        Then, you must edit this file (example.php) and change the settings of <em>host</em>, <em>user name</em>, <em>password</em>
        and <em>database</em> to match your configuration.
    </p>

    <?php

        // THIS EXAMPLE IS VERY BRIEF!
        // CHECK THE DOCUMENTATION TO SEE WHAT METHODS ARE AVAILABLE!

        // include the wrapper class
       

        // create a new database wrapper object
        $db = new Zebra_Database();

        // turn debugging on
        $db->debug = true;

        // connect to the MySQL server and select the database
        $db->connect(
            '',     // host
            '',     // user name
            '',     // password
            ''      // database
        );

        $db->set_charset();

        // let's work with a country
        $country = 'Romania';

        // get the country's code
        $country_code = $db->dlookup('Code', 'country', 'Name = ?', array($country));

        // get all the cities for the country code
        $db->query('
            SELECT
                Name
            FROM
                city
            WHERE
                CountryCode = ?
            ORDER BY
                Name
        ', array($country_code));

        // get all the languages spoken for the country code
        $db->query('
            SELECT
                Language,
                IsOfficial,
                Percentage
            FROM
                countrylanguage
            WHERE
                CountryCode = ?
            ORDER BY
                Percentage DESC
        ', array($country_code));

        // show debug console.
        // THIS SHOULD ALWAYS BE PRESENT AT THE END OF YOUR SCRIPTS!
        // debugging should be controlled by setting the "debug" property to TRUE/FALSE
        $db->show_debug_console();

    ?>

    </body>

</html>
*/
