<?php
defined("_MYPHPOBJECT") or die("ACCESS DENIED");
if(!session_id())
    session_start();

require INC_PATH.DS.'Zebra_Database.php';
require ADMIN_INC_PATH.'admin-form-process.php';

if (isset($_SERVER['REQUEST_METHOD']) && $_SERVER['REQUEST_METHOD']=='POST')
{
  header('Expires: ' . gmdate("D, d M Y H:i:s", time()+1000) . ' GMT');
  header('Cache-Control: Private');
}

// global variable
$db=null;

/**
 * establish connection 
 * @return NULL 
 */
function connection()
{
    global $db;
    $db = new Zebra_Database();

    $db->debug = DEBUG;
    
    $db->connect(DATABASE_SERVER, DATABASE_USERNAME, DATABASE_PASSWORD, DATABASE_NAME);
    $db->set_charset();

}

connection();
/**
 *  page meta informatino 
 */

class MetaInfo{

    public static $title;
    public static $description;

    public static function setTitle($t=''){
        self::$title=$t;
    }

    public static function setDescription($d=''){
        self::$description=$d;
    }

    public static function getTitle(){
        echo self::$title;
    }

    public static function getDescription(){
        echo self::$description;
    }
}


/**
 * check after login when index or other internal page load
 */

function adminSessionCheck(){

global $db;

    if(empty($_SESSION['user_id']) or empty($_SESSION['usertype']) or empty($_SESSION['username'])){

        logout();
    }
    else
    {

        // check session time
        $session_life = time() - $_SESSION['last_active'];
        if($session_life > SESSION_TIME){ logout(); }
        
        $db->select(
            '*',
            TBPREFIX.'users',
            'status=1 AND id = ? AND usertype = ? AND username = ?',
            array($_SESSION['user_id'], $_SESSION['usertype'],$_SESSION['username'])
        );

        $records = $db->fetch_obj();
        if(empty($records)){
           logout();
        }

        $_SESSION['last_active']=time();

    }

}

/**
 * check befor login page load
 */

function adminLoginSessionCheck(){
    
    if(!empty($_SESSION['user_id']) and !empty($_SESSION['usertype']) and !empty($_SESSION['username'])){

        global $db;

        $db->select(
            '*',
            TBPREFIX.'users',
            'status=1 AND id = ? AND usertype = ? AND username = ?',
            array($_SESSION['user_id'], $_SESSION['usertype'],$_SESSION['username'])
        );

        $records = $db->fetch_obj();

        if(!empty($records)){
            header("location:index.php");
            exit();
        }
        
    }
}


function logout(){


$_SESSION['user_id']="";
$_SESSION['usertype']="";
$_SESSION['username']="";


unset($_SESSION['user_id']);
unset($_SESSION['usertype']);
unset($_SESSION['username']);

session_unset();
session_destroy();
session_write_close();
setcookie(session_name(),'',0,'/');
session_regenerate_id(true);
header("Location:login.php");
exit();


}

function mysql_getdate($time=''){
    //0000-00-00 00:00:00
    if(empty($time)){
        $time=time();
    }
    return date('y-m-d H:i:s',$time);
}

function pr($s){

    if(!empty($s)){

        echo '<pre>';
        var_dump($s);
        echo '</pre>';
    }
}




function sanitize_data($data){
    
    if (is_array($data)) {
        array_filter($data, 'trim_value');

        foreach($data as $var=>$val) {
            $output[$var] = sanitize_data($val);
        }
    }
    else {
        if (get_magic_quotes_gpc()) {
            $data = stripslashes($data);
            
        }
        $data = strip_tags($data);
        $output  = cleanInput($data);
        
    }
    return $output;

}

function trim_value(&$value){

    $value = trim($value);
}

function cleanInput($input) {
 
  $search = array(
    '@<script[^>]*?>.*?</script>@si',   // Strip out javascript
    '@<[\/\!]*?[^<>]*?>@si',            // Strip out HTML tags
    '@<style[^>]*?>.*?</style>@siU',    // Strip style tags properly
    '@<![\s\S]*?--[ \t\n\r]*>@'         // Strip multi-line comments
  );
 
    $output = preg_replace($search, '', $input);
    return $output;
  }


function redirect($url){
    header('location:'.$url);
    exit;
}

function get_date($time){

    return date("M jS, Y",strtotime($time));

}